> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Realtime Metrics

> Get real-time metrics for current tenant.

Returns current system state:
- Active calls
- Active participants
- Active agents

Updates every 60 seconds (configurable).



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json get /analytics/tenants/{tenant_id}/metrics/real-time
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /analytics/tenants/{tenant_id}/metrics/real-time:
    get:
      tags:
        - analytics
      summary: Get Realtime Metrics
      description: |-
        Get real-time metrics for current tenant.

        Returns current system state:
        - Active calls
        - Active participants
        - Active agents

        Updates every 60 seconds (configurable).
      operationId: get_realtime_metrics_analytics_tenants__tenant_id__metrics_real_time_get
      parameters:
        - name: tenant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Tenant Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RealTimeMetrics'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RealTimeMetrics:
      properties:
        timestamp:
          type: string
          title: Timestamp
        tenant_id:
          type: string
          title: Tenant Id
        active_calls:
          type: integer
          title: Active Calls
        active_participants:
          type: integer
          title: Active Participants
        active_agents:
          type: integer
          title: Active Agents
      type: object
      required:
        - timestamp
        - tenant_id
        - active_calls
        - active_participants
        - active_agents
      title: RealTimeMetrics
      description: Real-time system metrics.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````